Mantis

View Issue Details Jump to Notes ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023850Runner[All Projects] HTML5Public2016-09-25 18:342017-07-26 15:47
ReporterYellowAfterlife 
Assigned ToMike Dailly 
PriorityMediumSeverityC - GeneralReproducibility100%
StatusClosedResolutionFixed 
PlatformWindowsOSWindows 8OS Version8.1
Summary0023850: HTML5: string() chokes on circular references due to no recursion limit
DescriptionConsider the following:
var r;
r[0] = 0;
r[1] = r;
string(r);

this is sufficient to crash the HTML5 target, since string() function has no recursion limit and will stack overflow.
While making this work like on native targets may be problematic, adding an internally used parameter for "depth" and not displaying array contents when past a certain "depth" (typically 8 or 16).
1.4 Version7.7.1295
2.x Runtime Version
2.x Runtime Version Verified In
Attached Files? file icon a_bug.gmz [^] (119,259 bytes) 2016-09-25 18:34

- Relationships

-  Notes
(0053602)
Mike Dailly (Manager)
2017-06-13 21:10

fixed
(0054599)
Sam Cumming (Administrator)
2017-07-26 15:47

Verified > 1.4.1769 - Closing.


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker